| Kea 3.0.2-git

dhcpv6_callouts.cc File Reference
`#include <config.h>`
`#include <dhcpsrv/lease_mgr_factory.h>`
`#include <dhcpsrv/srv_config.h>`
`#include <hooks/callout_handle.h>`
`#include <limits/limit_manager.h>`
`#include <util/dhcp_space.h>`
Include dependency graph for dhcpv6_callouts.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::limits

## Functions
int | isc::limits::cb6_updated (CalloutHandle &handle)
| Callout at the cb6_updated hook point.
int | isc::limits::dhcp6_srv_configured (CalloutHandle &handle)
| dhcp6_srv_configured callout implementation
int | isc::limits::lease6_rebind (CalloutHandle &handle)
| Callout at the lease6_rebind hook point.
int | isc::limits::lease6_renew (CalloutHandle &handle)
| Callout at the lease6_renew hook point.
int | isc::limits::lease6_select (CalloutHandle &handle)
| Callout at the lease6_select hook point.
int | isc::limits::pkt6_receive (CalloutHandle &handle)
| Callout at the pkt6_receive hook point.
int | isc::limits::subnet6_select (CalloutHandle &handle)
| Callout at the subnet6_select hook point.